%define oname systemsettings

Summary:	Plasma 5 System Settings module
Name:		plasma5-%{oname}
Version:	5.11.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		systemsettings-5.11.4-rename-translations.patch
# Don't show detailed tooltips by default
Patch1:		systemsettings-5.3.1-tooltips.patch
# Install system-administration category, we need it
Patch2:		systemsettings-5.8.3-system-administration.patch
# Add "System" to desktop categories
Patch3:		systemsettings-5.11.4-desktop-categories.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5activitiesstats-devel
BuildRequires:	kf5auth-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	kirigami2-devel
Conflicts:	kdebase4-workspace

%description
Plasma 5 System Settings module. It provides the user with a centralized
and convenient way to configure all of the settings for your desktop.

%files -f %{oname}.lang
%{_kde5_applicationsdir}/kdesystemsettings.desktop
%{_kde5_applicationsdir}/systemsettings.desktop
%{_kde5_bindir}/systemsettings5
%dir %{_kde5_datadir}/systemsettings/
%{_kde5_datadir}/systemsettings/*
%{_kde5_datadir}/kpackage/genericqml/org.kde.systemsettings.sidebar/
%{_kde5_services}/settings-*.desktop
%{_kde5_servicetypes}/systemsettings*.desktop
%{_kde5_xmlguidir}/systemsettings/systemsettingsui.rc
%{_qt5_plugindir}/classic_mode.so
%{_qt5_plugindir}/icon_mode.so
%{_qt5_plugindir}/systemsettings_sidebar_mode.so

#----------------------------------------------------------------------------

%define systemsettingsview_major 3
%define libsystemsettingsview %mklibname systemsettingsview %{systemsettingsview_major}

%package -n %{libsystemsettingsview}
Summary:	Plasma 5 System Settings shared library
Group:		System/Libraries

%description -n %{libsystemsettingsview}
Plasma 5 System Settings shared library.

%files -n %{libsystemsettingsview}
%{_kde5_libdir}/libsystemsettingsview.so.%{systemsettingsview_major}*

#----------------------------------------------------------------------------

%define devsystemsettings %mklibname systemsettings -d

%package -n %{devsystemsettings}
Summary:	Development files for Plasma 5 System Settings library
Group:		Development/KDE and Qt
Requires:	%{libsystemsettingsview} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	kdebase4-workspace-devel

%description -n %{devsystemsettings}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devsystemsettings}
%{_includedir}/systemsettingsview
%{_kde5_libdir}/libsystemsettingsview.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

for oldlang in po/*/%{oname}.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{oname} %{oname}5 %{oname}.lang --with-html --with-kde

%changelog

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (e93d430) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (6787016) Update files
- (Andrey Bondrov: f873c26) Build requires kirigami2-devel
- (Andrey Bondrov: 681a17e) Build requires kf5activitiesstats-devel
- (Andrey Bondrov: 681a17e) Re-diff patches
- (Andrey Bondrov: 1f57ca0) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (60fac05) New version 5.10.5

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (b1b5822) Re-diff rename-translations patch
- (Andrey Bondrov: 9abf30b) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (eabba6b) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (86b406b) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (4feda39) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (55c1c81) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (5ae62f4) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (dccd885) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (1eb9fb8) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (cdc26f3) Re-diff system-administration patch
- (Andrey Bondrov: 5583182) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (a79c14f) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (661df8d) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (6acf3bc) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (ca39618) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (7058f62) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (3eb4ae8) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-3
- (118c194) MassBuild#1001: Increase release tag

* Wed Apr 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (ea68db9) Add System to desktop categories

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (137a467) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (7babfa4) Drop Russian translation patch (fixed upstream)
- (Andrey Bondrov: 98ce283) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (1a85f5a) New version 5.5.3

* Tue Dec 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-2
- (99e6785) Update Russian translations


